<?php
namespace Mirasvit\SeoFilter\Block\Adminhtml\Group\GroupStoreAliases;

/**
 * Interceptor class for @see \Mirasvit\SeoFilter\Block\Adminhtml\Group\GroupStoreAliases
 */
class Interceptor extends \Mirasvit\SeoFilter\Block\Adminhtml\Group\GroupStoreAliases implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoFilter\Service\RewriteService $rewriteService, \Mirasvit\SeoFilter\Model\ConfigProvider $configProvider, \Magento\Framework\Module\Manager $moduleManager, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($rewriteService, $configProvider, $moduleManager, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
